// dispatcher/pages/dirver/driver.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    boundingSize: wx.getMenuButtonBoundingClientRect(),
    driverList: [],
    currentPage: 1,
    isLastPage: false,
    driverName: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getDriverList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  // 获取列表
  getDriverList: function (driverName = '', page = 1) {
    const url = `/mobile/list_driver`
    app.AppService.appRequest(url, 'POST', {
      page: page,
      page_len: app.globalData.pageLen,
      driver_name: driverName || ''
    }, (res) => {
      const lastDriverList = this.data.driverList || []
      let driverList = res.data.result || []
      const len = driverList.length
      // 不是第一页
      if (page > 1) {
        // 有下一页
        if (len > 0) {
          driverList = lastDriverList.concat(driverList)
          this.setData({
            isLastPage: false
          })
        } else {
          driverList = lastDriverList
          this.setData({
            isLastPage: true
          })
        }
      } else {
        // 搜索回到第一页，重置参数
        this.setData({
          isLastPage: false
        })
      }
      this.setData({
        driverList,
        currentPage: page,
      })
    })
  },

  // 删除司机
  deleteDriver: function () {

  },

  // 拨打客服电话
  makePhoneCall: function (e) {
    const phoneNum = e.currentTarget.dataset.phone
    wx.makePhoneCall({
      phoneNumber: phoneNum
    })
  },

  // 监听搜索输入
  listenSearch: function (e) {
    console.log('输入')
    console.log(e.detail.value)
    this.getDriverList(e.detail.value)
  },

  // 输入失去焦点才setData
  searchBlur: function (e) {
    console.log('失焦')
    console.log(e.detail.value)
    this.setData({
      driverName: e.detail.value
    })
  },

  listenConfirm: function (e) {
    console.log(e.detail.value)
    console.log('点击完成')
  },

  // 滚动到底部获取更多
  getMoreList: function () {
    const driverName = this.data.driverName || ''
    if (!this.data.isLastPage) {
      this.getDriverList(driverName, this.data.currentPage + 1)
    }
  },

  // 跳转页面
  navigateTo: function (e) {
    const url = e.currentTarget.dataset.url
    wx.navigateTo({
      url: url,
    })
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '南泰',
      path: '/pages/login/login'
    }
  }
})