// pages/login/login.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    account: '',
    password: '',
    systemDetail: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getSystemDetail()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.autoLogin()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  // 改变账号
  bindChangeAccount: function (e) {
    this.setData({
      account: e.detail.value.trim()
    })
  },

  // 改变密码
  bindChangePassword: function (e) {
    this.setData({
      password: e.detail.value.trim()
    })
  },

  // 获取后台配置的logo等信息
  getSystemDetail: function () {
    const url = '/mobile/detail_system'
    app.AppService.appRequest(url, 'POST', {}, (res) => {
      this.setData({
        systemDetail: res.data || {}
      })
    })
  },

  // 拨打客服电话
  makePhoneCall: function (e) {
    const phoneNum = e.currentTarget.dataset.phone
    wx.makePhoneCall({
      phoneNumber: phoneNum
    })
  },

  // 自动登录
  autoLogin: function () {
    const userId = wx.getStorageSync('user_id') || ''
    const account = wx.getStorageSync('account') || ''
    const password = wx.getStorageSync('password') || ''
    const loginType = wx.getStorageSync('login_type') || ''
    this.setData({
      account,
      password
    })
    if (userId) {
      this.loginServer(loginType)
    }
  },

  // 司机登录
  loginDir: function (e) {
    this.loginServer('type-00')
  },

  // 调度员登录
  loginDis: function (e) {
    this.loginServer('type-01')
  },

  // 登录请求
  loginServer: function (type = 'type-00') {
    const url = '/mobile/login'
    const authUrl = '/mobile/wechat_message'
    const account = this.data.account
    const password = this.data.password
    if (!account) {
      wx.showToast({
        title: '请输入账号',
        icon: 'none'
      })
      return
    }
    if (!password) {
      wx.showToast({
        title: '请输入密码',
        icon: 'none'
      })
      return
    }
    app.AppService.appRequest(url, 'POST', {
      account: account,
      password: password,
      account_type: type
    }, (res) => {
      wx.setStorageSync('token', res.data.token)
      wx.setStorageSync('user_hand', res.data.user_hand || '')
      wx.setStorageSync('user_id', res.data.user_id)
      wx.setStorageSync('user_name', res.data.user_name)
      wx.setStorageSync('login_type', type)
      wx.setStorageSync('account', account)
      wx.setStorageSync('password', password)
      app.globalData.loginUserInfo = {
        'token': res.data.token,
        'user_hand': res.data.user_hand || '',
        'user_id': res.data.user_id,
        'user_name': res.data.user_name,
        'login_type': type
      }
      
      // 授权获取微信头像
      wx.getUserInfo({
        success: function (res) {
          var userInfo = res.userInfo
          app.AppService.appRequest(authUrl, 'POST', {
            headimgurl: userInfo.avatarUrl
          }, (res) => {

          }, () => {
            // 授权失败不提示
          })
        }
      })
      // 调度员
      if (type == 'type-01') {
        wx.redirectTo({
          url: '/dispatcher/pages/record/record',
        })
      } else {
        // 司机
        wx.redirectTo({
          url: '/driver/pages/add/add',
        })
      }
    })
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
  
})