const configPro = {
  configurl: 'http://47.121.114.85:8000'
}
let globalData = {
  isDoingLogin: false,
  reLoginTimes: 0
}
const AppService = {
  apiConfig: configPro,
  // 版本
  verCode: '100',
  verName: '1.0.0',
  /**
   * callback   请求数据成功的回调
   * failcb   暴露出去request返回fail的回调
   * nologincb  暴露出去的没有登录的回调
   */
  appRequest: (url, method, data, callback, failcb, nologincb) => {
    const token = wx.getStorageSync('token') || ''
    let header = {
      'content-type': 'application/json'
    }
    if (token) {
      header = {
        'token': token,
        'content-type': 'application/json'
      }
    }
    wx.request({
      url: configPro.configurl + url,
      data: data,
      method: method || 'POST',
      header: header,
      success: function success(res) {
        if (res.data.code == 0) {
          callback(res.data)
        } else if (res.data.code == 204 || res.data.code == 201) {
          // 没有登录
          if (nologincb) {
            nologincb(res)
          } else {
            // 跳到登录页
            wx.showToast({
              title: '尚未登录或登录过期',
              icon: 'none'
            })
            var timer = setTimeout(() => {
              wx.redirectTo({
                url: '/pages/login/login'
              })
            }, 1000)
          }
        } else {
          if (failcb) {
            failcb(res.data)
          } else {
            wx.showToast({
              title: res.data.message || '请求出错,请稍后再试(′⌒`)',
              icon: 'none'
            })
          }
        }
      },
      fail: function fail(err) {
        failcb && failcb(err)
      },
      complete: function (resc) {}
    })
  }
}

export default AppService